commit:     e5fb72773abb5993c3f4ae7ea5796c6f8fd433f7
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 11 07:59:14 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Wed Nov 11 07:59:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5fb7277

app-admin/sysstat: revbump, add dcron workaround for testing

Bug: https://bugs.gentoo.org/531032
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 app-admin/sysstat/metadata.xml             |  3 +
 app-admin/sysstat/sysstat-12.4.0-r1.ebuild | 88 ++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/app-admin/sysstat/metadata.xml b/app-admin/sysstat/metadata.xml
index efcd58fe0b9..50a898b9e1c 100644
--- a/app-admin/sysstat/metadata.xml
+++ b/app-admin/sysstat/metadata.xml
@@ -5,4 +5,7 @@
                <email>[email protected]</email>
                <name>Georgy Yakovlev</name>
        </maintainer>
+       <use>
+               <flag name="dcron">Adjust cronjobs to work properly under 
<pkg>sys-process/dcron</pkg></flag>
+       </use>
 </pkgmetadata>

diff --git a/app-admin/sysstat/sysstat-12.4.0-r1.ebuild 
b/app-admin/sysstat/sysstat-12.4.0-r1.ebuild
new file mode 100644
index 00000000000..8c2fc24eb35
--- /dev/null
+++ b/app-admin/sysstat/sysstat-12.4.0-r1.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit eutils flag-o-matic systemd toolchain-funcs
+
+DESCRIPTION="System performance tools for Linux"
+HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="dcron debug nls lm-sensors selinux static systemd"
+
+CDEPEND="
+       nls? ( virtual/libintl )
+       lm-sensors? ( sys-apps/lm-sensors:= )
+"
+DEPEND="
+       ${CDEPEND}
+       nls? ( sys-devel/gettext )
+"
+RDEPEND="
+       ${CDEPEND}
+       !dcron? ( !sys-process/dcron )
+       dcron? ( sys-process/dcron )
+       selinux? ( sec-policy/selinux-sysstat )
+"
+PATCHES=(
+       "${FILESDIR}"/${PN}-11.7.3-flags.patch
+)
+
+REQUIRED_USE="dcron? ( !systemd )"
+
+src_prepare() {
+       if use nls; then
+               strip-linguas -i nls/
+               local lingua pofile
+               for pofile in nls/*.po; do
+                       lingua=${pofile/nls\/}
+                       lingua=${lingua/.po}
+                       if ! has ${lingua} ${LINGUAS}; then
+                               rm "nls/${lingua}.po" || die
+                       fi
+               done
+       fi
+
+       use dcron && { sed -i 's/@CRON_OWNER@ //g' cron/sysstat.crond.in || die 
; }
+       default
+}
+
+src_configure() {
+       tc-export AR
+       use static && append-ldflags -static
+
+       # --enable-compress-manpg <= Yes, that is inverted.
+       sa_lib_dir=/usr/lib/sa \
+               conf_dir=/etc \
+               econf \
+                       $(use_enable !systemd use-crond) \
+                       $(use_enable lm-sensors sensors) \
+                       $(use_enable nls) \
+                       $(usex debug --enable-debuginfo '') \
+                       --enable-compress-manpg \
+                       --enable-copy-only \
+                       --enable-documentation \
+                       --enable-install-cron \
+                       --with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+}
+
+src_install() {
+       keepdir /var/log/sa
+
+       emake \
+               CHOWN=true \
+               DESTDIR="${D}" \
+               DOC_DIR=/usr/share/doc/${PF} \
+               MANGRPARG='' \
+               install
+
+       dodoc -r contrib/
+
+       newinitd "${FILESDIR}"/${PN}.init.d ${PN}
+       systemd_dounit ${PN}.service
+
+       rm "${D}"/usr/share/doc/${PF}/COPYING || die
+}

Reply via email to